'use strict';

// ** Dependencies
const applications = require('../../lib/applications');

applications
    .create('helloworld', {
        description: "A nodus helloworld application.",
        version: "0.1.0",
        commands: {
            "say-hello": {
                description: "Issue a helloworld greeting",
                handler: (name) => `Hello, ${name}`,
                parameters: {
                    name: {
                        description: "The name to use in the greeting.",
                        type: "string",
                        required: true,
                        defaultValue: "World"
                    }
                }
            }
        }
    })
    // .then(app => app.run("say-hello", "Brad Serbu"))
    .then(console.log);