'use strict';

// ** Dependencies
const Action = require('../../lib/actions');

function Value(value) {
    this.value = value;
}

Value.prototype.get = function() {
    return this.value;
};

const value = new Value("Brad");

Action('log-this', value.get.bind(value))
    .run()
    .then(console.log);